Debian PostgreSQL Maintainers does not use Launchpad. This page was created on 2012-06-04 when the postgresql-9.2_9.2~beta2-1~precise package was uploaded to precise/RELEASE.

Is this a team you run?